Index: /trunk/language/af_ZA/admin.lang.php
===================================================================
--- /trunk/language/af_ZA/admin.lang.php	(revision 12242)
+++ /trunk/language/af_ZA/admin.lang.php	(revision 12243)
@@ -32,3 +32,71 @@
 $lang['ACCESS_5'] = 'Geen toegang';
 
+$lang[' and %d virtual'] = 'en %d virtuele';
+$lang['%d album including'] = '%d album ingesluit';
+$lang['%d album moved'] = '%d album geskuif';
+$lang['%d albums including'] = '%d albums insluitend';
+$lang['%d albums moved'] = '%d albums geskuif';
+$lang['%d anomalies have been detected corrected.'] = '%d onreëlmatighede is gevind en reggemaak';
+$lang['%d anomalies have been detected.'] = '%d onreëlmatighede is gevind';
+$lang['%d anomalies have been ignored.'] = '%d onreëlmatighede is geignoreer';
+$lang['%d anomalies have not been corrected.'] = '%d onreëlmatighede is nie reggemaak nie';
+$lang['%d anomaly has been corrected.'] = '%d onreëlmatigheid is reggemaak';
+$lang['%d anomaly has been detected.'] = '%d onreëlmatigheid is gevind';
+$lang['%d anomaly has been ignored.'] = '%d onreëlmatigheid is geignoreer';
+$lang['%d anomaly has not been corrected.'] = '%d onreëlmatigheid is nie reggemaak nie';
+$lang['%d association'] = '%d assosiasie';
+$lang['%d associations'] = '%d assosiasies';
+$lang['%d group'] = '%d groep';
+$lang['%d groups'] = '%d groepe';
+$lang['%d guest'] = '%d gas';
+$lang['%d guests'] = '%d gaste';
+$lang['%d line filtered'] = '%d lyn gefilter';
+$lang['%d lines filtered'] = '%d lyne gefilter';
+$lang['%d mail was not sent.'] = '%d epos is nie gestuur nie';
+$lang['%d mail was sent.'] = '%d epos is gestuur';
+$lang['%d mails were not sent.'] = '%d eposse is nie gestuur nie';
+$lang['%d mails were sent.'] = '%d eposse is gestuur';
+$lang['%d member'] = '%d lid';
+$lang['%d members'] = '%d lede';
+$lang['%d of %d photos selected'] = '%d van %d fotos gekies';
+$lang['%d parameter was updated.'] = '%d parameter is opgedateer';
+$lang['%d parameters were updated.'] = '%d parameters is opgedateer';
+$lang['%d photo was deleted'] = '%d foto is verwyder';
+$lang['%d photos uploaded'] = '@d fotos opgelaai';
+$lang['%d photos were deleted'] = '@d fotos verwyder';
+$lang['%d physical'] = '@d fisies';
+$lang['%d tag'] = '@d etiket';
+$lang['%d tags'] = '@d etikette';
+$lang['%d user'] = '%d gebruiker ';
+$lang['%d user comment rejected'] = '@d gebruikerskommentaar verwerp';
+$lang['%d user comment validated'] = '@d gebruikerskommentaar aanvaar';
+$lang['%d user comments rejected'] = '@d gebruikerskommentare verwerp ';
+$lang['%d user comments validated'] = '@d gebruikerskommentare aanvaar';
+$lang['%d user deleted'] = '@d gebruikers verwyder';
+$lang['%d user was not updated.'] = '%d gebruiker is nie opgedateer nie';
+$lang['%d user was updated.'] = '%d gebruikers is opgedateer ';
+$lang['%d users'] = '%d gebruikers ';
+$lang['%d users deleted'] = '%d gebruikers verwyder ';
+$lang['%d users were not updated.'] = '%d gebruikers is nie opgedateer nie';
+$lang['%d users were updated.'] = '%d gebruikers is opgedateer ';
+$lang['%d waiting for validation'] = '%d wag vir bekragtiging';
+$lang['%s has been successfully upgraded.'] = '%s is suksesvol opgegradeer';
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s moet as "false" gemerk word in jou local/config/config.inc.php lêer';
+$lang['%s value is not correct file because exif are not supported'] = '%s waarde is nie regte lêer nie want exif word nie ondersteun nie';
+$lang['+ Add an upload box'] = '+ Voeg oplaai vakkie by';
+$lang[', click on'] = ', kliek op';
+$lang['A local listing.xml file has been found for'] = '\'n Plaaslike listing.xml lêer is gevind';
+$lang['A new version of Piwigo is available.'] = '\'n Nuwe weergawe van Piwigo is beskikbaar.';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = '\'n beeld lêertipe benodig \'n duimnael. Die duimnael moet in die ondergids "thumbnail" van die album gids wees. Die duimnael lêernaam moet begin met die opgestelde duimnael voorvoegsel en die uitbreiding moet een van die volgende lys wees:';
+$lang['Action'] = 'Aksie';
+$lang['Actions'] = 'Aksies';
+$lang['Activate'] = 'Aktiveer ';
+$lang['Activate field "%s"'] = 'Aktiveer veld "%s"';
+$lang['Activate icon "%s"'] = 'Aktiveer ikoon "%s"';
+$lang['Activate icon "new" next to albums and pictures'] = 'Aktiveer ikoon "nuut" langs albums en prentjies';
+$lang['Activate Navigation Bar'] = 'Aktiveer Navigasie Staaf';
+$lang['Activate Navigation Thumbnails'] = 'Aktiveer Navigasie Duimnaels';
+$lang['Active Languages'] = 'Aktiveer Tale';
+$lang['Active Plugins'] = 'Aktiveer Invoegsels';
+$lang['Active Themes'] = 'Aktiveer Temas';
 ?>