Index: /extensions/UserAdvManager/trunk/include/upgradedb.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/include/upgradedb.inc.php	(revision 12246)
+++ /extensions/UserAdvManager/trunk/include/upgradedb.inc.php	(revision 12247)
@@ -522,9 +522,19 @@
 
   // Piwigo's native tables modifications for password reset function - Add pwdreset column
-  $q = '
+  $query = '
+SHOW COLUMNS FROM '.USERS_TABLE.'
+LIKE "UAM_pwdreset"
+;';
+  
+  $result = pwg_query($query);
+
+  if(!pwg_db_fetch_row($result))
+  {
+    $q = '
 ALTER TABLE '.USERS_TABLE.'
 ADD UAM_pwdreset enum("true","false") 
 ;';
-  pwg_query($q);
+    pwg_query($q);
+  }
 }
 ?>
Index: /extensions/UserAdvManager/trunk/main.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/main.inc.php	(revision 12246)
+++ /extensions/UserAdvManager/trunk/main.inc.php	(revision 12247)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserAdvManager
-Version: 2.30.0RC1
+Version: 2.30.0
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=216
Index: /extensions/UserAdvManager/trunk/maintain.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/maintain.inc.php	(revision 12246)
+++ /extensions/UserAdvManager/trunk/maintain.inc.php	(revision 12247)
@@ -13,5 +13,10 @@
 {
 	global $conf;
-	
+
+/* ****************************************************************** */
+/* **************** BEGIN - Data preparation in vars **************** */
+/* ****************************************************************** */
+
+  // Default global parameters for UserAdvManager conf
   $default1 = array('false','false',-1,-1,-1,'false','',-1,'','','false','','false',100,'false','false',10,'Hello [username].
 	
@@ -24,4 +29,29 @@
 The admin of the gallery.','false','false','false','false','false','Sorry [username], your account has been deleted due to a too long time passed since your last visit at [mygallery].','Sorry [username], your account has been deprecated due to a too long time passed since your last visit at [mygallery]. Please, use the following link to revalidate your account.',-1,-1,'Thank you for registering at [mygallery]. Your account has been manually validated by _admin_. You may now log in at _link_to_site_ and make any appropriate changes to your profile. Welcome to _name_of_site_!','false','You have requested a password reset on our gallery. Please, find below your new connection settings.','false','Sorry, your account has been deleted because you have not validated your registration in requested time. Please, try registration with a valid and non blocked email account.','false','false','false',-1,-1,-1,'false');
 
+  // Default specific parameters for UserAdvManager ConfirmMail conf
+  $default2 = array('false',5,'Hello [username].
+		
+This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your validation key has expired. To still allow you to access to our gallery, your validation period has been reset. You have again 5 days to validate your registration.
+
+Note: After this period, your account will be permanently deleted.','false','Hello [username].
+
+This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your validation key will expire. To allow you access to our gallery, you have 2 days to confirm your registration by clicking on the link in the message you should have received when you registered.
+
+Note: After this period, your account will be permanently deleted.','You have confirmed that you are human and may now use [mygallery]! Welcome [username]!','Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.');
+
+  // Set current plugin version in config table
+  $plugin =  PluginInfos(UAM_PATH);
+  $version = $plugin['version'];
+
+/* **************************************************************** */
+/* **************** END - Data preparation in vars **************** */
+/* **************************************************************** */
+
+
+/* ***************************************************************************** */
+/* **************** BEGIN - Database actions and initialization **************** */
+/* ***************************************************************************** */
+
+  // Create UserAdvManager conf if not already exists
 	$query = '
 SELECT param
@@ -40,15 +70,5 @@
   }
 
-
-  $default2 = array('false',5,'Hello [username].
-		
-This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your validation key has expired. To still allow you to access to our gallery, your validation period has been reset. You have again 5 days to validate your registration.
-
-Note: After this period, your account will be permanently deleted.','false','Hello [username].
-
-This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your validation key will expire. To allow you access to our gallery, you have 2 days to confirm your registration by clicking on the link in the message you should have received when you registered.
-
-Note: After this period, your account will be permanently deleted.','You have confirmed that you are human and may now use [mygallery]! Welcome [username]!','Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.');
-
+  // Create UserAdvManager_ConfirmMail conf if not already exists
 	$query = '
 SELECT param
@@ -67,4 +87,5 @@
   }
 
+  // Create UserAdvManager_Redir conf if not already exists
 	$query = '
 SELECT param
@@ -83,8 +104,5 @@
   }
 
-// Set current plugin version in config table
-  $plugin =  PluginInfos(UAM_PATH);
-  $version = $plugin['version'];
-
+  // Create UserAdvManager_Version conf if not already exists
 	$query = '
 SELECT param
@@ -103,5 +121,5 @@
   }
 
-
+  // Create USER_CONFIRM_MAIL_TABLE
 	$q = "
 CREATE TABLE IF NOT EXISTS ".USER_CONFIRM_MAIL_TABLE." (
@@ -117,4 +135,5 @@
   pwg_query($q);
 
+  // Create USER_LASTVISIT_TABLE
 	$q = "
 CREATE TABLE IF NOT EXISTS ".USER_LASTVISIT_TABLE." (
@@ -127,5 +146,5 @@
   pwg_query($q);
 
-  // Piwigo's native tables modifications for password reset function - Add pwdreset column
+  // Piwigo's native tables modifications for password reset function - Add pwdreset column if not already exists
   $query = '
 SHOW COLUMNS FROM '.USERS_TABLE.'
@@ -143,4 +162,8 @@
     pwg_query($q);
   }
+
+/* *************************************************************************** */
+/* **************** END - Database actions and initialization **************** */
+/* *************************************************************************** */
 }
 