Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 12250)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 12251)
@@ -786,4 +786,14 @@
 $lang['Rate'] = 'Classificação';
 $lang['Average rate'] = 'Nota média';
+$lang['Activate icon "new" next to albums and pictures'] = 'Mostrar o icon "novo" ao lado dos Álbums e das fotos';
+$lang['Add a criteria'] = 'Adicionar um critério';
+$lang['Deactivate all'] = 'Desactivar tudo';
+$lang['Default photos order'] = 'Ordem padrão das fotos';
+$lang['Restore'] = 'Restaurar';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Restaurar a configuração padrão ? Perderá as configurações pesoiais !';
+$lang['Show menubar'] = 'Mostrar o menú';
+$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Não pode definir uma ordem padrão para as fotos porque tem uma definição na sua configuração local.';																																					
+$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Especificou <i>$conf[\'order_by\']</i> no seu ficheiro de configuração, este pâremetro esta obsoleto, apaguar ou renomear em <i>$conf[\'order_by_custom\']</i> !';
+$lang['display'] = 'Mostrar';
 
 ?>
Index: /trunk/language/pt_PT/install.lang.php
===================================================================
--- /trunk/language/pt_PT/install.lang.php	(revision 12250)
+++ /trunk/language/pt_PT/install.lang.php	(revision 12251)
@@ -29,11 +29,8 @@
 $lang['Start Install'] = 'Iniciar a instalação';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'o endereço de email deve ser do tipo xxx@yyy.eee (exemplo : jack@altern.org)';
-
 $lang['Webmaster login'] = 'Login do Webmaster';
 $lang['It will be shown to the visitors. It is necessary for website administration'] = 'Será mostrado aos visitantes. É necessário para a administração do website';
-
 $lang['Connection to server succeed, but it was impossible to connect to database'] = 'A ligação ao servidor foi bem sucedida, mas foi impossível ligar à base de dados';
 $lang['Can\'t connect to server'] = 'Não foi possível ligar ao servidor';
-
 $lang['Host'] = 'Servidor MySQL';
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
@@ -56,5 +53,4 @@
 $lang['Webmaster mail address'] = 'Endereço de email do Webmaster';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Os visitantes poderão entrar em contacto com o administrador da galeria através desse email';
-
 $lang['PHP 5 is required'] = 'PHP 5 é necessário';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Parece que o seu provedor de hospedagem usa actualmente PHP %s.';
@@ -66,5 +62,4 @@
 $lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Você deve entrar em contacto com o suporte do seu provedor e saber como pode mudar para PHP 5.";
 $lang['Hope to see you back soon.'] = 'Espero que volte em breve.';
-
 $lang['Congratulations, Piwigo installation is completed'] = 'Parabéns, a sua instalação Piwigo está completa';
 $lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Uma solução alternativa será copiar o texto na caixa abaixo e colá-lo no ficheiro "local/config/database.inc.php" (Atenção : database.inc.php apenas deverá conter o que está na área de texto, não insira nenhuma linha nova ou espaço em branco)';
@@ -72,3 +67,6 @@
 $lang['Download the config file'] = 'Guardar ficheiro de configuração';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Pode guardar o ficheiro de configuração no seu computador e de seguida enviá-lo para a pasta /local/config da sua instalação.';
+$lang['Just another Piwigo gallery'] = 'Apenas uma outra galeria Piwigo';
+$lang['Welcome to my photo gallery'] = 'Bem-vindo à minha galeria de fotos';
+
 ?>