Index: /trunk/language/th_TH/common.lang.php
===================================================================
--- /trunk/language/th_TH/common.lang.php	(revision 12256)
+++ /trunk/language/th_TH/common.lang.php	(revision 12257)
@@ -302,4 +302,37 @@
 $lang['Welcome'] = 'ยินดีต้อนรับ';
 $lang['Welcome to your Piwigo photo gallery!'] = 'ยินดีต้อนรับสู่ Piwigo แกลลอรี่!';
-
+$lang['%d Kb'] = '%d กิโลไบต์';
+$lang['... or browse your empty gallery'] = '...หรือเลือกแกลลอรี่ที่ว่าง';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... หรือปฏิเสธใช้งานข้อความนี้, ฉันจะหาทางด้วยตัวเอง';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'สวัสดี %s, อัลบั้มรูปของคุณตอนนี้ว่างเปล่า!';
+$lang['I want to add photos'] = 'ฉันต้องการเพิ่มรูปภาพ';
+$lang['Manage this user comment: %s'] = 'Manage this user comment: %s';
+$lang['Email address is missing. Please specify an email address.'] = 'ที่อยู่อีเมลที่ขาดหายไป กรุณาระบุที่อยู่อีเมล์.';
+$lang['This author modified following comment:'] = 'ผู้เขียนได้แก้ไขความคิดเห็นดังต่อไปนี้:';
+$lang['This author removed the comment with id %d'] = 'ผู้เขียนได้ลบความคิดเห็นโดย ไอดี %d';
+$lang['delete this comment'] = 'ลบความคิดเห็นนี้';
+$lang['validate this comment'] = 'ตรวจสอบความคิดเห็นนี้';
+$lang['html tags are not allowed in login'] = 'แืท็ก HTML นี้จะไม่ได้รับอนุญาตในการเข้าสู่ระบบ';
+$lang['Enter a username or email address'] = 'ป้อนชื่อผู้ใช้หรือที่อยู่อีเมล';
+$lang['Invalid username or email'] = 'ชื่อผู้ใช้ หรือ ที่อยู่อีเมล์ไม่ถูกต้อง';
+$lang['Password reset is not allowed for this user'] = 'ผู้ใช้งานคนนี้ ไม่ได้รับอนุญาตให้รีเซ็ตรหัสผ่าน';
+$lang['User "%s" has no email address, password reset is not possible'] = 'ผู้ใช้งาน "%s" ไม่มีที่อยู่อีเมล์,ไม่สามารถรีเซ็ตรหัสผ่านได้';
+$lang['Someone requested that the password be reset for the following user account:'] = 'มีบางคนได้ร้องขอการรีเซ็ตรหัสผ่าน ดังต่อไปนี้:';
+$lang['Username "%s" on gallery %s'] = 'ชื่อผู้ใช้งาน "%s" ในแกลลอรี่ %s';
+$lang['To reset your password, visit the following address:'] = 'เพื่อรีเซ็ตรหัสผ่านของคุณ, ให้เข้าไปที่:';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'ถ้านี้คือความผิดพลาด, อีเมล์ฉบับนี้จะไม่มีผลอะไรเลย.';
+$lang['Password Reset'] = 'รีเซ็ตรหัสผ่าน';
+$lang['Check your email for the confirmation link'] = 'กรุณาตรวจสอบอีเมล์ของคุณสำหรับการยืนยันการใช้งาน';
+$lang['Invalid key'] = 'คีย์ไม่ถูกต้อง';
+$lang['The passwords do not match'] = 'รหัสผ่านไม่ตรงกัน';
+$lang['Your password has been reset'] = 'รหัสผ่านของคุณได้รับการรีเซ็ตใหม่';
+$lang['Return to home page'] = 'กลับไปยังหน้าหลัก';
+$lang['Please enter your username or email address.'] = 'กรุณาใส่ชื่อผู้ใช้หรือที่อยู่อีเมลของคุณ.';
+$lang['You will receive a link to create a new password via email.'] = 'คุณจะได้รับลิงค์เพื่อสร้างรหัสผ่านใหม่ทางอีเมลของคุณ.';
+$lang['Username or email'] = 'ชื่อผู้ใช้งานหรืออีเมล';
+$lang['Change my password'] = 'เปลี่ยนรหัสผ่านของฉัน';
+$lang['Enter your new password below.'] = 'ป้อนรหัสผ่านใหม่ของคุณด้านล่าง.';
+$lang['Reset Password'] = 'รีเซ็ตรหัสผ่าน';
+$lang['EXIF Metadata'] = 'ข้อมูล EXIF';
+$lang['IPTC Metadata'] = 'ข้อมูล IPTC';
 ?>