Index: /trunk/language/en_UK/help/extend_for_templates.html
===================================================================
--- /trunk/language/en_UK/help/extend_for_templates.html	(revision 12285)
+++ /trunk/language/en_UK/help/extend_for_templates.html	(revision 12286)
@@ -1,27 +1,20 @@
-<h2>Extend for templates configuration</h2>
+<h2>Template Extension Configuration</h2>
 
-<h3>Goal</h3>
-<p>Define replacement conditions for each template from template-extension
-(template called "replacer").</p>
+<h3>About</h3>
+<p>Your Piwigo gallery can be customised by replacing existing template files with customised versions.  For example, the default header template (header.tpl) can be replaced by a customised header template (my-header.tpl).  After submitting the changes to the database the gallery will display the customised header instead of the original header.<br>
+Template extensions are a powerful way to create customised themes for both new and advanced users.  Used together with the LocalFiles Editor you can create your own child themes.</p>
 
-<p>"original template" from ./themes/default/template (or any other theme)
- will be replaced by a "replacer" if the replacer is linked to this "original template"
- (and optionally, when the requested URL contains an "optional URL keyword").</p>
+<h3>Original Template</h3>
+<p>A theme contains a number of template files that make up the gallery pages.  These are the original templates.</p>
 
-<p>"Optional URL keywords" are those you can find after the module name in URLs.</p>
+<h3>Optional URL Keyword</h3>
+<p>These are words found in the gallery URL after the module name.  They can also be active permalinks  (See the permalink documentation for more information).  <a href="#warnings">WARNING:</a> if the same original template and same keyword is used on more than one customised template only the last one is active.</p>
 
-<p>Therefore "Optional URL keywords" can be an active "permalink" 
-(see permalinks in our documentation for further explanation).</p>
+<h3>Bound Theme</h3>
+<p>The bound theme is the theme from which the template files are being replaced.</p>
 
-<p>Read: `<a href="#warnings">Warning</a>` usage conditions.</p>
-
-<h3>What are template extensions?</h3>
-
-<p>This configuration tool is powerfull for beginners and advanced users.
-By FTP, in the template-extension folder, the Webmaster can duplicate a lot of
- the distributed .tpl files ("original template") with a different name 
- ("replacer").
- 
- "Original templates", current original supported templates are:</p>
+<h3>Where are the original templates?</h3>
+<p>Original templates are the template files shipped with each theme.  These are saved in <em>/themes/default/template</em> (or <em>themes/<theme name>/template</em>).  These template files should not be edited in place as changes will be lost with theme upgrades.<br>
+Supported original templates include:</p>
 <ul>
   <li><span class="filename">index.tpl</span></li>
@@ -41,60 +34,18 @@
   <li><span class="filename">redirect.tpl</span></li>
 </ul>
+<h3>Saving customised templates</h3>
+<p>Customised templates should be saved in the template-extension folder or subfolders.  For example, <em>/template-extension/my-default/header.tpl</em> (or <em>/template-extension/<my-theme-name>/header.tpl</em>)  Template files can have any name with a .tpl extension.  The template files in subfolders appear in the Template configuration screen as available custom templates.</p>
+<h3>Activating customised templates</h3>
+<p>Select the original template to replace.  Optionally choose a URL keyword to ensure that the customised template is only shown on pages with that keyword.  Select a bound theme and the changes will be effective on that theme.  Submit the changes to the database.</p>
+<h3>Deactivating customised templates</h3>
+<p>Unselect the original template and submit the changes to the database.<br>
+Delete the customised template files from the template-extension folder.</p>
 
-<h3>Where can I find "original templates"?</h3>
-
-<p>Distributed original templates are in /themes/default/template/ 
-(don't edit them in place for upgrade perspectives). So with "original templates", 
-any webmaster can create his "replacers (customized templates)".</p>
-
-<h3>Where should I save "replacers"?</h3>
-
-<p><strong>Replacers (customized templates)</strong> must be placed in the 
-template-extension folder (or its subfolders).
-Replacers can have any filename with the .tpl extension. For example: <span
-class="filename">template-extension/my-extension/video.tpl</span>.</p>
-
-
-<h3>How can I activate my "replacers"?</h3>
-<p>An <strong>original template</strong> should be assigned to each
- <strong>replacer (customized templates)</strong> to activate the related replacements.
- This is the goal of "Extend for templates" in the Configuration Administration menu.</p>
-
-<p>If you select an <strong>optional URL keyword</strong> then replacements 
-will be operate only on pages with this keyword. For example: <span
-  class="pwgScreen">index.php?/<strong>most_visited</strong></span></p>
-  
-<p>Advanced users will use permalinks as <strong>optional URL keyword</strong>. </p>
-
-<p>If you select a <strong>Bound template</strong> then replacements will be operate only on this template.</p>
-
-<h3>How can I deactivate my "replacers"?</h3>
-<ul>
-<li>Unselect related "Original templates".</li>
-<li>By FTP delete of "replacers".</li>
-</ul>
 <a name="warnings"></a>
 <h3>Warnings</h3>
 <ul>
-
-  <li><strong>Original template</strong> must be the "original" template 
-  otherwise you could have unpredictable results!</li>
-
-  <li>On several <strong>replacers (customized templates)</strong> with the
-  same<strong>Original template</strong> and the same <strong>optional URL 
-  keyword</strong> only the last replacer is active.</li>
-
-  <li>Unselected <strong>optional URL keyword</strong> will active the replacer
-  on any template usage. As previous point, order can override previous
-  selected replacers.</li>
-
-  <li>Subfolders:
-Subfolders are ignored but they are usefull to change current order.<br>
-distributed-samples: for test purpose are distributed! 
-<strong>Don't edit them</strong> create your own ones.
-</li>
-
-  <li>On delete of a replacer the <strong>Original template</strong> is 
-  immediately reactivated.</li>
-
+  <li><strong>The original template</strong> must be the original template otherwise you may have unpredictable results.</li>
+  <li>If the same original template and same URL keyword is used on more than one customised template only the last one is active.</li>
+  <li>Distributed sample template files are for test purposes only.  Do not edit them.  Create your own ones or copy existing theme template files into <em>/template-extension/<my-theme>/</em></li>
+  <li>When the customised template is deleted the original template file is immediately reactivated.</li>
 </ul>
Index: /trunk/language/en_UK/help/maintenance.html
===================================================================
--- /trunk/language/en_UK/help/maintenance.html	(revision 12285)
+++ /trunk/language/en_UK/help/maintenance.html	(revision 12286)
@@ -1,62 +1,26 @@
 <h2>Maintenance</h2>
 
-<p>To optimize page generation time, Piwigo uses cached
-information. For example, instead of counting the number of photos
-contained in each album at each page reload, this information is stored
-in the database. In theory, this information should always be correct, but
-sometimes an error can occur and cached information becomes wrong.</p>
+<p>To optimise page generation time Piwigo uses cached information. For example, instead of counting the number of photos contained in each album at each page reload this information is stored in the database. In theory this information should always be correct but sometimes an error can occur and cached information becomes out of date.</p>
 
-<p>Some information become useless with time going by. Deleting this useless
-information from database make you save disk space.</p>
+<p>Some information becomes less useful as time goes by.  Deleting this useless information from the database will save you some disk space.</p>
 
 <ul>
-
-  <li>
-    <strong>Unlinked photos:</strong>
-    Display photos which are not associated to any virtual album.
-  </li>
-  <li>
-    <strong>Files with the same name in more than one physical album:</strong>
-    Display photos or files which are found with the same filename in several albums.
-  </li>
-
+	<li><strong>Delete orphan tags</strong></li>
+</ul>
+<ul>
+  <li><strong>Update albums informations:</strong> For each album, the following information is checked, and updated if necessary : list of parent albums, number of photos, last photo date, position among brother albums, position among all albums. This action also checks the representative photos consistency.</li>
+  <li><strong>Update photos information:</strong> For each photo, information updated is : full path to file, average rate. <em>Warning</em>, do not mix up: metadata information must be synchronised from <span class="pwgScreen">Administration &raquo; Tools &raquo; synchronise</span>, or on the modification screen of a single photo (through <span class="pwgScreen">Photo</span> for example).</li>
+</ul>
+<ul>
+  <li><strong>Repair and optimise the database:</strong>Perform re-order, repair and optimise operations on each table of the database.</li>
+  <li><strong>Reinitialize integrity check</strong></li>
 </ul>
 
 <ul>
-
-  <li><strong>Update albums informations:</strong> For each album,
-  the following information is checked, and updated if necessary : list of parent
-  albums, number of photos, last photo date, position among
-  brother albums, position among all albums. This action also checks
-  the representative photos consistency.</li>
-
-  <li><strong>Update photos information:</strong> For each photo,
-  information updated is : full path to file, average
-  rate. <em>Warning</em>, do not mix up: metadata information
-  must be synchronized from <span class="pwgScreen">Administration &raquo;
-  Tools &raquo; Synchronize</span>, or on the modification screen of a
-  single photo (through <span class="pwgScreen">Photo</span> for
-  example).</li>
-
-  <li><strong>Repair and optimize the database:</strong>
-  Perform re-order, repair and optimize operations on each table of the database.
-  </li>
-</ul>
-
-<ul>
-  <li><strong>Purge history details:</strong> Delete all lines from the
-  <code>history</code> table. Screen <span class="pwgScreen">Administration &raquo;
-  Tools &raquo; History</span> will not longer show information for the past
-  history. <em>Warning</em>: all data will be lost, without any way to
-  get them back.</li>
-
+  <li><strong>Purge history details:</strong> Delete all lines from the history table. Screen <span class="pwgScreen">Administration &raquo; Tools &raquo; History</span> will not longer show information for the past history. <em>Warning:</em> all data will be lost, without any way to get them back.</li>
   <li><strong>Purge history summary:</strong> Delete all the summary information about visit history. This summary is calculated from the history details.</li>
-
   <li><strong>Purge sessions:</strong> Delete expired user sessions.</li>
-
   <li><strong>Purge never used notification feeds</strong></li>
-
   <li><strong>Purge searches history</strong></li>
-  
   <li><strong>Purge compiled templates</strong></li>  
 </ul>
Index: /trunk/language/en_UK/help/site_manager.html
===================================================================
--- /trunk/language/en_UK/help/site_manager.html	(revision 12285)
+++ /trunk/language/en_UK/help/site_manager.html	(revision 12286)
@@ -1,46 +1,17 @@
 <h2>Remote sites</h2>
 
-<p>Piwigo offers the possibility to use several servers to store the
-photos which will compose your gallery. It can be useful if your gallery is
-installed on a limited space and you have a huge quantity of images to
-show.</p>
+<p>Piwigo offers the possibility to use several servers to store the photos which will fill your gallery. It can be useful if your gallery is installed on a server with limited space and you have a huge number of images to display.</p>
 
 <ol>
-
-  <li>edit file <span class="filename">tools/create_listing_file_local.inc.php</span>,
-  by modifying parameters section such as
-  <code>$conf['prefix_thumbnail']</code> or
-  <code>$conf['use_exif']</code>.</li>
-
-  <li>using ftp, place the files <span class="filename">tools/create_listing_file.php</span> 
-  and <span class="filename">tools/create_listing_file_local.inc.php</span> (modified)
-  on your distant website, in the same directory as your album
-  directories (as the directory <span class="filename">galleries</span> of
-  this website). For example, let's say that you can access <span
-  class="filename">http://example.com/galleries/create_listing_file.php</span>.</li>
-
-  <li>go to <span class="pwgScreen">administration panel &raquo; Tools &raquo; Site
-  manager</span>. Ask to create a new site, for example <span
-  class="filename">http://example.com/galleries</span>.</li>
-
-  <li>a new remote site is registered. You can perform 4 actions :
-
+  <li>Edit the file <span class="filename">tools/create_listing_file_local.inc.php</span>, by modifying the parameters section such as <code>$conf['prefix_thumbnail']</code> or <code>$conf['use_exif']</code>.</li>
+  <li>Using FTP, place the files <span class="filename">tools/create_listing_file.php</span> and <span class="filename">tools/create_listing_file_local.inc.php</span> (modified) on your remote website, in the same directory as your album directories (as the directory <span class="filename">galleries</span> of this website). For example, let's say that you can access <span class="filename">http://example.com/galleries/create_listing_file.php</span>.</li>
+  <li>Go to Administration &raquo; Tools &raquo; Site manager. Create a new site, for example <span class="filename">http://example.com/galleries</span>.</li>
+  <li>A new remote site is registered. You can perform 4 actions:
     <ol>
-
-      <li><strong>generate listing</strong> : launches a distant request to
-      generate a distant file listing</li>
-
-      <li><strong>synchronize</strong> : reads the distant <span
-      class="filename">listing.xml</span> file and synchronizes with
-      database information</li>
-
-      <li><strong>clean</strong> : removes distant <span
-      class="filename">listing.xml</span> file</li>
-
-      <li><strong>delete</strong> : deletes the site (and all related
-      albums and photos) in the database</li>
-
+      <li><strong>Generate listing:</strong> launches a remote request to generate a remote file listing</li>
+      <li><strong>Synchronise:</strong> reads the remote <span class="filename">listing.xml</span> file and synchronises with database information</li>
+      <li><strong>Clean:</strong>removes remote <span class="filename">listing.xml</span> file</li>
+      <li><strong>Delete:</strong> deletes the site (and all related albums and photos) in the databas</li>
     </ol>
   </li>
 </ol>
-
Index: /trunk/language/en_UK/help/synchronize.html
===================================================================
--- /trunk/language/en_UK/help/synchronize.html	(revision 12285)
+++ /trunk/language/en_UK/help/synchronize.html	(revision 12286)
@@ -1,12 +1,14 @@
-<h2>Synchronize</h2>
+<h2>Synchronise</h2>
 
-<p>There are 2 different synchronizations types : directories/files and file
-metadata. Directories/files is about synchronizing your directories tree
-with the album tree in the database. Metadata is about updating photos
-informations such as filesize, dimensions in pixels, EXIF or IPTC
-informations.</p>
+<p>There are two different types of synchronisation:</p>
+<ul>
+	<li>directories/files</li>
+	<li>file metadata</li>
+</ul>
 
-<p>The first synchronization must be the directories/files one.</p>
+<p>Synchronising directories and files is about updating your directories tree with the album tree in the database. 
+Synchronising file metadata is about updating photo information, such as filesize, dimensions in pixels, EXIF or IPTC information, in the database.</p>
 
-<p>Synchronization process may take long (depending on your server load and the
-quantity of elements to manage) so it is possible to do it album by album.</p>
+<p>When synchronising your uploads with your gallery you must first synchronise directories and files.</p>
+
+<p>The synchronisation process may take a long time (depending on server load and the number of elements to manage) so it is possible to do it album by album.</p>
Index: /trunk/language/en_UK/help/thumbnail.html
===================================================================
--- /trunk/language/en_UK/help/thumbnail.html	(revision 12285)
+++ /trunk/language/en_UK/help/thumbnail.html	(revision 12286)
@@ -1,5 +1,5 @@
-<h2>Thumbnails creation</h2>
+<h2>Thumbnails Creation</h2>
 
-<p>This page let you create missing thumbnails. It is advised not to use this functionality if your gallery is hosted on a shared server.</p>
+<p>This page let you create missing thumbnails.  It is advised not to use this functionality if your gallery is hosted on a shared server.  To regenerate thumbnails use the Batch Manager.</p>
 
 <dl>
@@ -7,23 +7,17 @@
   <dt>GD version</dt>
 
-  <dd>GD is the picture manipulating library for PHP. Choose the version
-  installed on your server. You will be warned by an error message, should you choose the wrong one; just come back to the previous page with your browser and choose the other version. If no
-  version works, then  your server does not support GD.</dd>
+  <dd>GD is the image manipulation library for PHP. Choose the version installed on your server. You will be warned by an error message should you choose the wrong one; just come back to the previous page with your browser and choose another version. If no version works, then your server does not support GD.  PHP will need to be compiled with GD image library functions for this to work.</dd>
 
   <dt>Width and height</dt>
 
-  <dd>Maximum thumbnails dimensions. Original aspect ratio is
-  preserved. Default values can be modified using configuration settings <code>tn_width</code> and
-<code>tn_height</code> (see <span
-class="filename">include/config_default.inc.php</span> file).</dd>
+  <dd>Maximum thumbnail dimensions. Original aspect ratio is preserved. Default values can be modified using configuration settings <code>tn_width</code> and <code>tn_height</code> (see <span class="filename">include/config_default.inc.php</span> file).</dd>
 
   <dt>Number of thumbnails to create</dt>
 
-  <dd>Do not try to miniaturize too many photos at once. The miniaturization process does use a lot of CPU. If your Piwigo gallery is hosted by a free provider, too high CPU a load might lead to the withdrawal of your website.</dd>
+  <dd>Do not try to process too many photos at once. The thumbnail creation process does use a lot of CPU. If your Piwigo gallery is hosted by a free provider, too high a load on the CPU might lead to the withdrawal of your website.</dd>
 
   <dt>File format</dt>
 
-  <dd>Thumbnails are created in JPEG file format. They
-  can be created from PNG and JPEG photos only.</dd>
+  <dd>Thumbnails are created in JPEG file format. They can be created from PNG and JPEG photos only.</dd>
 
 </dl>