Index: /trunk/language/af_ZA/common.lang.php
===================================================================
--- /trunk/language/af_ZA/common.lang.php	(revision 12322)
+++ /trunk/language/af_ZA/common.lang.php	(revision 12323)
@@ -119,137 +119,5 @@
 $lang['Visits'] = "Besoeke";
 $lang['Webmaster'] = "Webwerf admin";
-$lang['Week %d'] = "Weeks %d";
-$lang['About Piwigo'] = "Oor Piwigo";
-$lang['You are not authorized to access the requested page'] = "U is nie gemagtig om die blad te besoek nie";
-$lang['add to caddie'] = "plaas in mandjie";
-$lang['add this photo to your favorites'] = "plaas die foto by u gunstelinge";
-$lang['Administration'] = "Administrasie";
-$lang['all'] = "alles";
-$lang['ascending'] = "toenemend";
-$lang['author(s) : %s'] = "outeur(s) : %s";
-$lang['Expand all albums'] = "Vergroot alle albums";
-$lang['posted after %s (%s)'] = "bygevoeg na %s (%s)";
-$lang['posted before %s (%s)'] = "bygevoeg voor %s (%s)";
-$lang['posted between %s (%s) and %s (%s)'] = "bygevoeg tussen %s (%s) en %s (%s)";
-$lang['posted on %s'] = "bygevoeg op %s";
-$lang['Best rated'] = "Hoogste gradering";
-$lang['display best rated photos'] = "Vertoon gewildste fotos";
-$lang['caddie'] = "mandjie";
-$lang['Calendar'] = "Kalender";
-$lang['All'] = "Almal";
-$lang['display each day with photos, month per month'] = "Vertoon elke dag met nuwe fotos, maand per maand";
-$lang['View'] = "Besigtig";
-$lang['chronology_monthly_calendar'] = "Maandelikse kalender";
-$lang['chronology_monthly_list'] = "Maandelikse lys";
-$lang['chronology_weekly_list'] = "Weeklikse lys";
-$lang['Click here if your browser does not automatically forward you'] = "Kliek hier as die leser u nie automaties neem nie";
-$lang['comment date'] = "kommentaar datum";
-$lang['Comment'] = "Kommentaar";
-$lang['Your comment has been registered'] = "U kommentaar is geregistreer";
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = "Gemorspos voorkoming : Was asb 'n oomblik voor u weer probeer";
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = "U kommentaar is in die asblik, dit het nie die verifikasie toets deurstaan nie";
-$lang['An administrator must authorize your comment before it is visible.'] = "Die Administrateur moet u kommentaar goedkeur VOOR dit sal vertoon.";
-$lang['This login is already used by another user'] = "Die aanteken naam is ongelukkig reeds in gebruik";
-$lang['Comments'] = "Kommentaar";
-$lang['Add a comment'] = "Los kommentaar";
-$lang['created after %s (%s)'] = "geskep na %s (%s)";
-$lang['created before %s (%s)'] = "geskep voor %s (%s)";
-$lang['created between %s (%s) and %s (%s)'] = "geskep tussen %s (%s) en %s (%s)";
-$lang['created on %s'] = "geskep op %s";
-$lang['Customize'] = "Verander na smaak";
-$lang['Your Gallery Customization'] = "Verander U gallery na smaak";
-$lang['day'][0] = "Sondag";
-$lang['day'][1] = "Maandag";
-$lang['day'][2] = "Dinsdag";
-$lang['day'][3] = "Woensdag";
-$lang['day'][4] = "Donderdag";
-$lang['day'][5] = "Vrydag";
-$lang['day'][6] = "Saterdag";
-$lang['Default'] = "Verstek";
-$lang['delete this photo from your favorites'] = "Verwyder die foto onder u gunstelinge";
-$lang['Delete'] = "Verwyder";
-$lang['descending'] = "afnemend";
-$lang['download'] = "Laai af";
-$lang['download this file'] = "Laai die lêer af";
-$lang['edit'] = "verander";
-$lang['wrong date'] = "verkeerde datum";
-$lang['excluded'] = "uitgesluit";
-$lang['Your favorites'] = "U gunstelinge";
-$lang['display your favorites photos'] = "vertoon u gunsteling fotos";
-$lang['Favorites'] = "Gunstelinge";
-$lang['First'] = "Eerste";
-$lang['The gallery is locked for maintenance. Please, come back later.'] = "Die gallery is toe vir instandhouding. Kom besoek ons asb. later weer.";
-$lang['Page generated in'] = "Bladsy gegenereer in";
-$lang['guest'] = "gas";
-$lang['Hello'] = "Hallo";
-$lang['available for administrators only'] = "slegs vir administrateur beskikbaar";
-$lang['display this album'] = "vertoon hierdie album";
-$lang['display last user comments'] = "vertoon die laaste gebruiker se kommentaar";
-$lang['customize the appareance of the gallery'] = "Verander die voorkoms van die gallery";
-$lang['search'] = "soek";
-$lang['Home'] = "Tuis";
-$lang['in this album'] = "in hierdie album";
-$lang['in %d sub-album'] = "in %d sub-album";
-$lang['in %d sub-albums'] = "in %d sub-albums";
-$lang['included'] = "ingesluit";
-$lang['Invalid password!'] = "Ongeldige wagwoord!";
-$lang['Language'] = "Taal";
-$lang['last %d days'] = "laaste %d dae";
-$lang['Last'] = "Laaste";
-$lang['Logout'] = "Teken uit";
-$lang['E-mail address'] = "Epos adres";
-$lang['obligatory'] = "verplig";
-$lang['Maximum photo height'] = "Maksimum foto hoogte";
-$lang['Maximum height must be a number superior to 50'] = "Maksimum hoogte moet 'n getal groter as 50 wees";
-$lang['Maximum photo width'] = "Maksimum foto wydte";
-$lang['Maximum width must be a number superior to 50'] = "Maksimum wydte moet 'n getal groter as 50 wees";
-$lang['display a calendar by creation date'] = "vertoon 'n kalender volgens datum geskep";
-$lang['display all photos in all sub-albums'] = "vertoon alle fotos in alle sub-albums";
-$lang['return to normal view mode'] = "gaan terug na normale voorkoms";
-$lang['display a calendar by posted date'] = "vertoon die kalender volgens publikasie datum";
-$lang['month'][10] = "Oktober";
-$lang['month'][11] = "November";
-$lang['month'][12] = "Desember";
-$lang['month'][1] = "Januarie";
-$lang['month'][2] = "Februarie";
-$lang['month'][3] = "Maart";
-$lang['month'][4] = "April";
-$lang['month'][5] = "Mei";
-$lang['month'][6] = "Junie";
-$lang['month'][7] = "Julie";
-$lang['month'][8] = "Augustus";
-$lang['month'][9] = "September";
-$lang['Most visited'] = "Meeste besoek";
-$lang['display most visited photos'] = "vertoon gewildste fotos";
-$lang['Unknown identifier'] = "Onbekende identifiseerder";
-$lang['New password'] = "Nuwe wagwoord";
-$lang['Rate this photo'] = "Gradeer die foto";
-$lang['Next'] = "Volgende";
-$lang['no rate'] = "geen gradering";
-$lang['Photos posted within the last %d day.'] = "Slegs fotos wat binne die laaste %d dae gepos is.";
-$lang['Photos posted within the last %d days.'] = "Slegs fotos wat die laaste %d dae gepos is.";
-$lang['password updated'] = "wagwoord opgedateer";
-$lang['Recent period must be a positive integer value'] = "Onlangse periode moet 'n positiewe waarde wees";
-$lang['photo'] = "foto";
-$lang['Click on the photo to see it in high definition'] = "Kliek om die foto in hoë definisie te sien";
-$lang['Show file metadata'] = "Wys lêer metadata";
-$lang['Powered by'] = "Aangedryf deur";
-$lang['Preferences'] = "Voorkeure";
-$lang['Previous'] = "Vorige";
-$lang['Random photos'] = "Lukraak fotos";
-$lang['display a set of random photos'] = "vertoon 'n stel lukraak fotos";
-$lang['Recent albums'] = "Onlangse albums";
-$lang['display recently updated albums'] = "Vertoon albums wat onlangs opgedateer is";
-$lang['Recent period'] = "Onlangs periode";
-$lang['Recent photos'] = "Onlangse fotos";
-$lang['display most recent photos'] = "Vertoon mees onlangse fotos";
-$lang['Redirection...'] = "Verwysing...";
-$lang['Please, enter a login'] = "Vul 'n aanteken naam in";
-$lang['login mustn\'t end with a space character'] = "Aanteken naam mag nie op 'n spasie eindig nie";
-$lang['login mustn\'t start with a space character'] = "Aanteken naam kan nie met 'n spasie begin nie";
-$lang['this login is already used'] = "die aanteken naam is reeds in gebruik";
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = "epos adres moet wees soos xxx@yyy.ee.ee (voorbeeld : koos@vlooi.co.za)";
-$lang['please enter your password again'] = "Sleutel jou wagwoord weer in";
-$lang['Auto login'] = 'Automatiese aanteken';
+$lang['Week %d'] = 'Week %d';
 $lang['remove this tag from the list'] = "haal die sleutelwoord uit die lys uit";
 $lang['representative'] = "verteenwoordiger";
@@ -267,71 +135,5 @@
 $lang['Search results'] = "Soektog resultate";
 $lang['Search in sub-albums'] = "Soek in sub-albums";
-$lang['searched words : %s'] = "Soek woorde : %s";
-$lang['Contact'] = "Kontak";
-$lang['set as album representative'] = "Stel as album verteenwoordiger";
-$lang['Show number of comments'] = "Toon aantal kommentare";
-$lang['Show number of hits'] = "Wys aantal besoeke";
-$lang['slideshow'] = "skyfiereeks";
-$lang['stop the slideshow'] = "stop die skyfiereeks";
-$lang['Specials'] = "Treffers";
-$lang['SQL queries in'] = "SQL navrae in";
-$lang['display only recently posted photos'] = "Vertoon slegs fotos wat onlangs gepos is";
-$lang['return to the display of all photos'] = "gaan terug na vertoning van alle fotos";
-$lang['the beginning'] = "die begin";
-$lang['Interface theme'] = "Koppelvlak tema";
-$lang['Thumbnails'] = "Duimnale";
-$lang['Menu'] = "Keusepaneel";
-$lang['A comment on your site'] = "Kommentaar op u werf";
-$lang['today'] = "vandag";
-$lang['Update your rating'] = "Dateer u gradering op";
-$lang['wrong filename'] = "Verkeerde lêernaam";
-$lang['the username must be given'] = "die gebruikersnaam word vereis";
-$lang['useful when password forgotten'] = "handig indien wagwoord vergeet is";
-$lang['Quick search'] = "Vinnige soek";
-$lang['Connected user: %s'] = "Gebruikers aanlyn: %s";
-$lang['IP: %s'] = "IP: %s";
-$lang['Browser: %s'] = "Leser: %s";
-$lang['Author: %s'] = "Outeur: %s";
-$lang['Comment: %s'] = "Kommentaar: %s";
-$lang['Comment by %s'] = "Kommentaar deur %s";
-$lang['User: %s'] = "Gebruiker: %s";
-$lang['Email: %s'] = "Epos: %s";
-$lang['Admin: %s'] = "Admin: %s";
-$lang['Registration of %s'] = "Registrasie van %s";
-$lang['Album: %s'] = "Album: %s";
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = "Swak status vir gebruiker \"gas\", verstek status sal gebruik word. Kontak die webwerf adminisrateur.";
-$lang['this email address is already in use'] = "die epos is reeds in gebruik";
-$lang['Album results for'] = "Album resultate vir";
-$lang['Tag results for'] = "Sleutelwoord resultate vir";
-$lang['from %s to %s'] = "van %s na %s";
-$lang['Play of slideshow'] = "Speel skyfiereeks";
-$lang['Pause of slideshow'] = "Halt skyfiereeks";
-$lang['Repeat the slideshow'] = "Herhaal skyfiereeks";
-$lang['Not repeat the slideshow'] = "Moenie skyfiereeks herhaal nie";
-$lang['Reduce diaporama speed'] = "Verminder skyfiereeks spoed";
-$lang['Accelerate diaporama speed'] = "Verhoog skyfiereeks spoed";
-$lang['Submit'] = "Stuur";
-$lang['Yes'] = "Ja";
-$lang['No'] = "Nee";
-$lang['%d photo'] = "%d foto";
-$lang['%d photos'] = "%d fotos";
-$lang['%d photo is also linked to current tags'] = "%d foto is gekoppel aan huidige sleutelwoorde";
-$lang['%d photos are also linked to current tags'] = "%d fotos is gekoppel aan huidige sleutelwoorde";
-$lang['display photos linked to this tag'] = "vertoon fotos gekoppel aan die sleutelwoorde";
-$lang['photos posted during the last %d days'] = "fotos gepos die laaste %d dae";
-$lang['Piwigo Help'] = "Piwigo hulp";
-$lang['Rank'] = "Orde";
-$lang['group by letters'] = "groepeer volgens letters";
-$lang['letters'] = "letters";
-$lang['show tag cloud'] = "wys sleutelwoorde in sleutelwolk";
-$lang['cloud'] = "wolk";
-$lang['Reset to default values'] = "Herstel na verstek waardes";
-$lang['delete all photos from your favorites'] = "verwyder alle fotos vanuit gunstelinge";
-$lang['Sent by'] = "Gestuur deur";
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = "Koekblik is toe, of word nie deur u leser ondersteun nie. U moet koekies ontvang om te kan aanteken.";
-$lang['edit this comment'] = "wysig die kommentaar";
-$lang['Edit a comment'] = "Wysig kommentaar";
-$lang['Are you sure?'] = "Is jy seker?";
-$lang['(!) This comment requires validation'] = '(!) Die kommentaar vereis validasie';
+$lang['searched words : %s'] = 'soek woorde : %s';
 $lang['Welcome'] = 'Welkom';
 $lang['Welcome to your Piwigo photo gallery!'] = 'Welkom by u Piwigo foto gallery!';
@@ -339,6 +141,6 @@
 $lang['... or please deactivate this message, I will find my way by myself'] = '... of haal die boodskap af, ek sal my eie pad vind';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, jou Piwigo foto gallery is leeg!';
-$lang['I want to add photos'] = 'Ek wil fotos bylas';
-$lang['Manage this user comment: %s'] = 'bestuur die gebruiker se kommentaar: %s';
+$lang['I want to add photos'] = 'Ek wil fotos byvoeg';
+$lang['Manage this user comment: %s'] = 'Bestuur die gebruiker se kommentaar: %s';
 $lang['Email address is missing. Please specify an email address.'] = "Epos adres word vermis. Spesifiseer asb. epos adres.";
 $lang['This author modified following comment:'] = 'Die outeur het die volgende kommentaar verander:';
@@ -360,5 +162,5 @@
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'As dit \'n fout was, ignoreer hierdie epos en niks sal gebeur nie.';
 $lang['Password Reset'] = 'Wagwoord Herstel';
-$lang['Check your email for the confirmation link'] = 'n Bevestigingskakel word per epos aan jou gestuur';
+$lang['Check your email for the confirmation link'] = '\'n Bevestigingskakel word per epos aan jou gestuur';
 $lang['Invalid key'] = 'Ongeldige sleutel';
 $lang['The passwords do not match'] = 'Die wagwoorde pas nie';
@@ -374,3 +176,4 @@
 $lang['IPTC Metadata'] = 'IPTC Metadata';
 
+$lang['wrong filename'] = 'verkeerde lêernaam';
 ?>