Index: extensions/PiwigoLib/PiwigoUpload/MainForm.Designer.cs
===================================================================
--- extensions/PiwigoLib/PiwigoUpload/MainForm.Designer.cs	(revision 12262)
+++ extensions/PiwigoLib/PiwigoUpload/MainForm.Designer.cs	(revision 12336)
@@ -40,5 +40,5 @@
             this.cbxLstCatTo = new System.Windows.Forms.ComboBox();
             this.modelManagerBaseBindingSource = new System.Windows.Forms.BindingSource(this.components);
-            this.selectedPwgCategoryListBindingSource = new System.Windows.Forms.BindingSource(this.components);
+            this.selectedPwgAlbumListBindingSource = new System.Windows.Forms.BindingSource(this.components);
             this.label4 = new System.Windows.Forms.Label();
             this.button2 = new System.Windows.Forms.Button();
@@ -47,7 +47,15 @@
             this.tbUser = new System.Windows.Forms.TextBox();
             this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
+            this.tabControl1 = new System.Windows.Forms.TabControl();
+            this.tabPageAlbum = new System.Windows.Forms.TabPage();
+            this.tabPageImg = new System.Windows.Forms.TabPage();
+            this.tableLayoutPanel2 = new System.Windows.Forms.TableLayoutPanel();
+            this.label5 = new System.Windows.Forms.Label();
             ((System.ComponentModel.ISupportInitialize)(this.modelManagerBaseBindingSource)).BeginInit();
-            ((System.ComponentModel.ISupportInitialize)(this.selectedPwgCategoryListBindingSource)).BeginInit();
+            ((System.ComponentModel.ISupportInitialize)(this.selectedPwgAlbumListBindingSource)).BeginInit();
             this.tableLayoutPanel1.SuspendLayout();
+            this.tabControl1.SuspendLayout();
+            this.tabPageAlbum.SuspendLayout();
+            this.tableLayoutPanel2.SuspendLayout();
             this.SuspendLayout();
             // 
@@ -97,6 +105,6 @@
             // 
             this.tableLayoutPanel1.SetColumnSpan(this.cbxLstCatTo, 2);
-            this.cbxLstCatTo.DataBindings.Add(new System.Windows.Forms.Binding("SelectedValue", this.modelManagerBaseBindingSource, "PwgCategoryIdSelected", true));
-            this.cbxLstCatTo.DataSource = this.selectedPwgCategoryListBindingSource;
+            this.cbxLstCatTo.DataBindings.Add(new System.Windows.Forms.Binding("SelectedValue", this.modelManagerBaseBindingSource, "PwgAlbumIdSelected", true));
+            this.cbxLstCatTo.DataSource = this.selectedPwgAlbumListBindingSource;
             this.cbxLstCatTo.DisplayMember = "ShowedValue";
             resources.ApplyResources(this.cbxLstCatTo, "cbxLstCatTo");
@@ -109,7 +117,7 @@
             this.modelManagerBaseBindingSource.DataSource = typeof(Com.Piwigo.Uploader.DTO.ModelManager.ModelManagerBase);
             // 
-            // selectedPwgCategoryListBindingSource
-            // 
-            this.selectedPwgCategoryListBindingSource.DataSource = typeof(Com.Piwigo.Uploader.DTO.SelectedPwgCategoryList);
+            // selectedPwgAlbumListBindingSource
+            // 
+            this.selectedPwgAlbumListBindingSource.DataSource = typeof(Com.Piwigo.Uploader.DTO.SelectedPwgAlbumList);
             // 
             // label4
@@ -166,5 +174,41 @@
             this.tableLayoutPanel1.Controls.Add(this.label3, 0, 0);
             this.tableLayoutPanel1.Controls.Add(this.cbxLstCatTo, 1, 5);
+            this.tableLayoutPanel1.Controls.Add(this.tabControl1, 4, 3);
             this.tableLayoutPanel1.Name = "tableLayoutPanel1";
+            // 
+            // tabControl1
+            // 
+            this.tabControl1.Controls.Add(this.tabPageAlbum);
+            this.tabControl1.Controls.Add(this.tabPageImg);
+            resources.ApplyResources(this.tabControl1, "tabControl1");
+            this.tabControl1.ImageList = this.imageListTV;
+            this.tabControl1.MaximumSize = new System.Drawing.Size(250, 200);
+            this.tabControl1.MinimumSize = new System.Drawing.Size(100, 200);
+            this.tabControl1.Name = "tabControl1";
+            this.tabControl1.SelectedIndex = 0;
+            // 
+            // tabPageAlbum
+            // 
+            this.tabPageAlbum.Controls.Add(this.tableLayoutPanel2);
+            resources.ApplyResources(this.tabPageAlbum, "tabPageAlbum");
+            this.tabPageAlbum.Name = "tabPageAlbum";
+            this.tabPageAlbum.UseVisualStyleBackColor = true;
+            // 
+            // tabPageImg
+            // 
+            resources.ApplyResources(this.tabPageImg, "tabPageImg");
+            this.tabPageImg.Name = "tabPageImg";
+            this.tabPageImg.UseVisualStyleBackColor = true;
+            // 
+            // tableLayoutPanel2
+            // 
+            resources.ApplyResources(this.tableLayoutPanel2, "tableLayoutPanel2");
+            this.tableLayoutPanel2.Controls.Add(this.label5, 0, 0);
+            this.tableLayoutPanel2.Name = "tableLayoutPanel2";
+            // 
+            // label5
+            // 
+            resources.ApplyResources(this.label5, "label5");
+            this.label5.Name = "label5";
             // 
             // MainForm
@@ -177,7 +221,11 @@
             this.Load += new System.EventHandler(this.MainForm_Load);
             ((System.ComponentModel.ISupportInitialize)(this.modelManagerBaseBindingSource)).EndInit();
-            ((System.ComponentModel.ISupportInitialize)(this.selectedPwgCategoryListBindingSource)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.selectedPwgAlbumListBindingSource)).EndInit();
             this.tableLayoutPanel1.ResumeLayout(false);
             this.tableLayoutPanel1.PerformLayout();
+            this.tabControl1.ResumeLayout(false);
+            this.tabPageAlbum.ResumeLayout(false);
+            this.tableLayoutPanel2.ResumeLayout(false);
+            this.tableLayoutPanel2.PerformLayout();
             this.ResumeLayout(false);
             this.PerformLayout();
@@ -200,6 +248,11 @@
         private System.Windows.Forms.Button button2;
         private System.Windows.Forms.TableLayoutPanel tableLayoutPanel1;
-        private System.Windows.Forms.BindingSource selectedPwgCategoryListBindingSource;
+        private System.Windows.Forms.BindingSource selectedPwgAlbumListBindingSource;
         private System.Windows.Forms.BindingSource modelManagerBaseBindingSource;
+        private System.Windows.Forms.TabControl tabControl1;
+        private System.Windows.Forms.TabPage tabPageAlbum;
+        private System.Windows.Forms.TabPage tabPageImg;
+        private System.Windows.Forms.TableLayoutPanel tableLayoutPanel2;
+        private System.Windows.Forms.Label label5;
     }
 }