Index: /extensions/Comments_Access_Manager/language/lv_LV/description.txt
===================================================================
--- /extensions/Comments_Access_Manager/language/lv_LV/description.txt	(revision 12337)
+++ /extensions/Comments_Access_Manager/language/lv_LV/description.txt	(revision 12337)
@@ -0,0 +1,1 @@
+Pārvaldīt piekļuvi komentāriem
Index: /extensions/Comments_Access_Manager/language/lv_LV/index.php
===================================================================
--- /extensions/Comments_Access_Manager/language/lv_LV/index.php	(revision 12337)
+++ /extensions/Comments_Access_Manager/language/lv_LV/index.php	(revision 12337)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Comments_Access_Manager/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/lv_LV/plugin.lang.php	(revision 12337)
+++ /extensions/Comments_Access_Manager/language/lv_LV/plugin.lang.php	(revision 12337)
@@ -0,0 +1,22 @@
+<?php
+$lang['CM_submit'] = 'Saglabāt iestatījumus';
+$lang['CM_save_config'] = 'Konfigurācija sekmīgi saglabāta !';
+$lang['CM_Title'] = 'Komentāru Piekļuves menedžeris - Versija : ';
+$lang['CM_SubTitle'] = 'Spraudņa konfigurācija';
+$lang['CM_Disable'] = ' Atspējot (pēc noklusēšanas)';
+$lang['CM_Enable'] = ' Iespējot ';
+$lang['CM_No_Anonymous_Comments'] = 'Viesu komentāriem ir obligāts Nickname (iesauka)';
+$lang['CM_Comments_For_Group'] = 'Atļaut izdarīt komentārus lietotāju grupai';
+$lang['CM_AllowedComm_Group'] = 'Atlasīt lietotāju grupu, kurai atļauts izdarīt komentārus:';
+$lang['CM_Not_Allowed_Author'] = 'Atvainojiet, jūs neesat autorizējies, lai ievietotu komentāru. Lūdzu kontaktējiet ar vietnes administratoru.';
+$lang['CM_Support_txt'] = 'Oficiālais ši spraudņa atbalsts ir pieejams tikai šajās Piwigo foruma tēmās:<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=17577" onclick="window.open(this.href);return false;">Forums angļu valodā - http://piwigo.org/forum/viewtopic.php?id=17577</a><br><br>
+Pieejams arī projekta tēmu meklētājs: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+$lang['CM_Empty Author'] = 'Nepieciešams Komentāra autora nickname !';
+$lang['CM_Validation_For_Group'] = 'Atļaut komentārus bez validācijas pārbaudes';
+$lang['CM_ValidComm_Group'] = 'Atlasīt lietotāju grupu, kuriem atļauts izdarīt komentārus bez validācijas:';
+$lang['CM_CommentsForAll'] = '"Komentēt Visu" opcija ir <b style="color:red;">iespējota</b>';
+$lang['CM_CommentsForRegistered'] = '" Komentēt Visu " opcija ir <b style="color:red;">atspējota</b>';
+$lang['CM_CommentsValidationOn'] = '"Validācija" priekš komentāriem ir <b style="color:red;">iespējota</b>';
+$lang['CM_CommentsValidationOff'] = '" Validācija " priekš komentāriem ir <b style="color:red;">atspējota</b>';
+?>