Index: /extensions/stripped/language/cs_CZ/theme.lang.php
===================================================================
--- /extensions/stripped/language/cs_CZ/theme.lang.php	(revision 12349)
+++ /extensions/stripped/language/cs_CZ/theme.lang.php	(revision 12350)
@@ -28,3 +28,10 @@
 $lang['Metadata']='Metadata';
 
+$lang['HD picture default display']='Výchozí zobrazení HD obrázků';
+$lang['fit to screen']='přizpůsobit obrazovce';
+$lang['full size']='plná velikost';
+$lang['Image preloading options']='Možnosti načítání obrázku';
+$lang['Activate image preloading']='Aktivace načítání obrázku';
+$lang['On picture page, number of next images to preload']='Na stránce s obrázkem, počet dalších obrázků pro načítání';
+$lang['Preload images on thumbnails page']='Načítání obrázků na stránce s náhledy';
 ?>
Index: /extensions/stripped/template/password.tpl
===================================================================
--- /extensions/stripped/template/password.tpl	(revision 12349)
+++ /extensions/stripped/template/password.tpl	(revision 12350)
@@ -5,5 +5,5 @@
 <div class="titrePage">
 	<div class="browsePath">
-		<h2><a href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'Password forgotten'|@translate}</h2>
+		<h2><a href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{$title}</h2>
 	</div>
 </div>
@@ -27,17 +27,53 @@
 		</div>
 	{/if}
-	<form action="{$F_ACTION}" method="post" class="properties">
-		<fieldset>
-			<legend>{'Retrieve password'|@translate}</legend>
-			<ul>
-				<li>
-					<span class="property">
-						<label for="mail_address">{'Email address'|@translate}</label>
-					</span>
-					<input class="login" type="text" name="mail_address" id="mail_address" size="40" maxlength="40" >
-				</li>
-			</ul>
-		</fieldset>
-		<p><input class="submit" type="submit" name="submit" value="{'Send new password'|@translate}"></p>
-	</form>
+{if $action ne 'none'}
+<form id="lostPassword" action="{$form_action}?action={$action}{if isset($key)}&amp;key={$key}{/if}" method="post">
+  <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
+
+  {if $action eq 'lost'}
+  <div class="message">{'Please enter your username or email address.'|@translate} {'You will receive a link to create a new password via email.'|@translate}</div>
+
+  <p>
+    <label>
+      {'Username or email'|@translate}
+      <br>
+      <input type="text" id="username_or_email" name="username_or_email" size="40" maxlength="40"{if isset($username_or_email)} value="{$username_or_email}"{/if}>
+    </label>
+  </p>
+
+  <p class="bottomButtons"><input class="submit" type="submit" name="submit" value="{'Change my password'|@translate}"></p>
+  {elseif $action eq 'reset'}
+
+  <div class="message">{'Hello'|@translate} <em>{$username}</em>. {'Enter your new password below.'|@translate}</div>
+
+  <p>
+    <label>
+      {'New password'|@translate}
+      <br>
+      <input type="password" name="use_new_pwd" id="use_new_pwd" value="">
+    </label>
+  </p>
+
+  <p>
+    <label>
+      {'Confirm Password'|@translate}
+      <br>
+      <input type="password" name="passwordConf" id="passwordConf" value="">
+    </label>
+  </p>
+
+  <p class="bottomButtons"><input class="submit" type="submit" name="submit" value="{'Submit'|@translate}"></p>
+  {/if}
+
+</form>
+{/if} {* $action ne 'none' *}
+
+<script type="text/javascript">
+{if $action eq 'lost'}
+{literal}try{document.getElementById('username_or_email').focus();}catch(e){}{/literal}
+{elseif $action eq 'reset'}
+{literal}try{document.getElementById('use_new_pwd').focus();}catch(e){}{/literal}
+{/if}
+</script>
+
 </div> <!-- content -->
Index: /extensions/stripped/template/picture_content.tpl
===================================================================
--- /extensions/stripped/template/picture_content.tpl	(revision 12349)
+++ /extensions/stripped/template/picture_content.tpl	(revision 12350)
@@ -27,8 +27,8 @@
 			<a href="{$next.U_IMG}" class="img_nav img_next">&nbsp;</a>
 		{/if}
-		<img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}">
+		<img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}" id="theMainImage">
 	{else}
 	{if isset($pwghigh)}<a href="{$high.U_HIGH}" rel="shadowbox">{/if}
-		<img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}" {if isset($winhigh) }onclick="openDisplayHigh('{$high.U_HIGH}');" class="pointer"{/if} 
+		<img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}" id="theMainImage" {if isset($winhigh) }onclick="openDisplayHigh('{$high.U_HIGH}');" class="pointer"{/if} 
 			{if isset($high)}
 				title="{'Click on the photo to see it in high definition'|@translate}"